package cn.com.qmth.stmms.ms.admin.assembler;

import cn.com.qmth.stmms.ms.admin.dto.MarkUserDTO;
import cn.com.qmth.stmms.ms.core.domain.user.MarkUser;
import org.springframework.stereotype.Component;

/**
 * Created by zhengmin on 2016/11/18.
 */
@Component
public class MarkUserAssembler {

    public MarkUserDTO toDTO(MarkUser markUser){
        MarkUserDTO markUserDTO = null;
        if(markUser != null){
            markUserDTO = new MarkUserDTO();
            markUserDTO.setLoginName(markUser.getLoginName());
            markUserDTO.setName(markUser.getName());
            markUserDTO.setPassword(markUser.getPassword());
            markUserDTO.setSubjectName(markUser.getSubject().getName());
            markUserDTO.setRoleName(markUser.getRole().getName());
            String markRight = markUser.getMarkRight() == null?"":markUser.getMarkRight().getName();
            markUserDTO.setMarkRightName(markRight);
        }
        return markUserDTO;
    }
}
